//
//  Helpers.swift
//  SampleApp
//
//  Created by Nishan Niraula on 19/8/2565 BE.
//  Copyright © 2565 BE David Zhang. All rights reserved.
//

import Foundation
import UIKit

class UIHelper {
    
    // Display action sheets
    @MainActor
    static func displayActionSheet(in vc: UIViewController, actions: [String], title: String, message: String, selectedAction: @escaping (String, Int) -> Void) {
        
        let alertController = UIAlertController(title: title, message: message, preferredStyle: .actionSheet)
        
        for (index, action) in actions.enumerated() {
            let sheetAction = UIAlertAction(title: action, style: .default) { _ in
                selectedAction(action, index)
            }
            alertController.addAction(sheetAction)
        }
        
        let cancelAction = UIAlertAction(title: "Cancel", style: .cancel, handler: nil)
        alertController.addAction(cancelAction)
        
        vc.present(alertController, animated: true, completion: nil)
    }
    
    // Display Alerts
    @MainActor
    static func displayAlert(in vc: UIViewController, title: String, message: String) {
        let alertController = UIAlertController(title: title, message: message, preferredStyle: .alert)
        alertController.addAction(UIAlertAction(title: "Dismiss", style: .cancel))
        vc.present(alertController, animated: true, completion: nil)
    }
}
