//
//  ReactionViewCell.swift
//  SampleApp
//
//  Created by Michael Abadi Santoso on 12/24/19.
//  Copyright © 2019 David Zhang. All rights reserved.
//

import UIKit

final class ReactionViewCell: UITableViewCell {
    
    @IBOutlet private weak var reactionLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        selectionStyle = .none
    }
    
    
    func configure(with viewModel: ReactionViewModel) {
        var parts: [String] = [viewModel.reactionName, "by \(viewModel.userDisplayName)"]
        if let date = viewModel.createdAt {
            let dateString = DateFormatter.localizedString(from: date, dateStyle: .medium, timeStyle: .medium)
            parts.append("— \(dateString)")
        }
        reactionLabel.text = parts.joined(separator: " ")
    }
    
}
